<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@105F26=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@105382=63</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@105382=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pw@105F6E=8787</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1"> <comment>Energy bar doesn't update but PL2 only needs one hit to kill PL1</comment>
    <script state="on">
      <action>maincpu.pw@105F6E=0101</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1">
    <parameter>
      <item value="0x00">Arashi</item>
      <item value="0x01">Ikkyo</item>
      <item value="0x02">Kasumi</item>
      <item value="0x03">Kinshiro</item>
      <item value="0x04">Sanpei</item>
      <item value="0x05">Syogethu</item>
      <item value="0x06">Shishimaru</item>
      <item value="0x07">Benkei</item>
      <item value="0x08">Goemon</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@105F39=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pw@1063C0=0087</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2"> <comment>Energy bar doesn't update but PL1 only needs one hit to kill PL2</comment>
    <script state="on">
      <action>maincpu.pw@1063C0=0101</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2">
    <parameter>
      <item value="0x00">Arashi</item>
      <item value="0x01">Ikkyo</item>
      <item value="0x02">Kasumi</item>
      <item value="0x03">Kinshiro</item>
      <item value="0x04">Sanpei</item>
      <item value="0x05">Syogethu</item>
      <item value="0x06">Shishimaru</item>
      <item value="0x07">Benkei</item>
      <item value="0x08">Goemon</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@10638B=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
